/** simple test for motor board with node mcu v2
 *   fambach.net
*/

const short PWM_R = D1;
const short DIR_R = D3;

const short PWM_L = D2;
const short DIR_L = D4;

int speed = 1024;
void setup() {


  Serial.begin(115200);
  delay(500);
  Serial.println("Serial init ok");

  // initialize pins
  pinMode(PWM_R, OUTPUT);
  pinMode(PWM_L, OUTPUT);
  pinMode(DIR_R, OUTPUT);
  pinMode(DIR_L, OUTPUT);

}


void loop() {

  Serial.println("Both forward");
  digitalWrite(DIR_R, LOW);
  analogWrite(PWM_R, speed);
  digitalWrite(DIR_L, LOW);
  analogWrite(PWM_L, speed);
  delay(5000);

  Serial.println("Both backward");
  digitalWrite(DIR_R, HIGH);
  analogWrite(PWM_R, speed);
  digitalWrite(DIR_L, HIGH);
  analogWrite(PWM_L, speed);
  delay(5000);

  Serial.println("Both stop");
  analogWrite(PWM_R, 0);
  digitalWrite(DIR_R, LOW);
  analogWrite(PWM_L, 0);
  digitalWrite(DIR_L, LOW);
  delay(5000);

}


